Subject: Re: bug#42653: 28.0.50; scroll-margin is sometimes ignored with hl-line/display-line-numbers-mode

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Aug 2020 05:28:19 +0300

> From: Kevin Liu <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 02 Aug 2020 13:24:34 -0700
> 
> 1. If (hl-line-mode 1), then scrolling down as you reach EOB will
> continue "collapsing" the margin, moving the cursor but not scrolling
> beyond EOB, until it hits the actual EOB line.  At that point,
> scroll-margin will again take effect and the screen will suddenly scroll
> down by scroll-margin lines (7 in my case).  This seems like a bug,
> off-by-one maybe?
> 
> 2. The intended behavior of disabling the bottom margin as EOB
> approaches seems to only apply when (hl-line-mode 1) or
> (display-line-numbers-mode 1).  This means that enabling these modes
> still affects scrolling behavior, which I think is fundamentally
> unexpected.

Please show a test case for each of these two, as I don't think I've
seen them in my testing.